<?php
// +----------------------------------------------------------------------
// | 邮件发送
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://xiuxian.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author：小黄牛
// +----------------------------------------------------------------------
namespace email;
use email\mail\Mail;

class Email {
    
    /**
     * 发送邮件
     * @todo 无
     * @author 小黄牛
     * @version v1.0.0.1 + 2018.10.09
     * @deprecated 暂不弃用
     * @global 无
     * @param string $email 邮件人郵件，多个使用,逗号隔开
     * @param string $title 邮件標題
     * @param string $html 邮件内容
     * @return string|bool
    */
    public static function run($email, $title, $html) {
        $smtpserver = "ssl://smtp.exmail.qq.com";   //SMTP服务器
        $smtpserverport ="465";   //SMTP服务器端口
        $smtpusermail = '';//SMTP服务器的用户邮箱
        $mail_fromname = "";//发送邮件的昵称
        $smtpuser =  $smtpusermail;//SMTP服务器的用户帐号
        $smtppass =  "";//SMTP服务器的用户密码
        
        $mailsubject =$title;      //邮件标题
        $mailbody =$html;//邮件内容
        $mailtype = "TXT";//邮件格式（HTML/TXT）,TXT为文本邮件

        $SmtpMail = new Mail($smtpserver,$smtpserverport,true,$smtpuser,$smtppass);//这里面的一个true是表示使用身份验证,否则不使用身份验证.
        $SmtpMail->debug = true;//是否显示发送的调试信息
        $res=$SmtpMail->sendmail($email, $smtpusermail, $mail_fromname,$mailsubject, $mailbody, $mailtype);
        return $res;
    }
}
